Revoke an API key. The key is immediately invalidated and can no longer be used for authentication. This action cannot be undone.
For team and organization keys, the associated service account is also deleted. Any active sessions using this key will fail on the next request.
curl --request DELETE \
--url https://api.rootly.com/v1/api_keys/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "api_keys",
"attributes": {
"name": "<string>",
"kind": "personal",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"role_id": "<string>",
"on_call_role_id": "<string>",
"expires_at": "<string>",
"last_used_at": "<string>",
"grace_period_ends_at": "<string>"
}
}
}Was this page helpful?
curl --request DELETE \
--url https://api.rootly.com/v1/api_keys/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "api_keys",
"attributes": {
"name": "<string>",
"kind": "personal",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"role_id": "<string>",
"on_call_role_id": "<string>",
"expires_at": "<string>",
"last_used_at": "<string>",
"grace_period_ends_at": "<string>"
}
}
}